org.eclipse.emf.cdo.expressions.impl

## Interface InvocationImpl.Invocable

- Enclosing class:
    InvocationImpl

      public static interface InvocationImpl.Invocable

  An abstraction of something that can be invoked, for example an `EOperation` or a `Method`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `java.lang.Class<?>[]` | `getParameterTypes()`
    `java.lang.Object` | `invoke(java.lang.Object[] arguments)`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

    - #### getParameterTypes

          java.lang.Class<?>[] getParameterTypes()

    - #### invoke

          java.lang.Object invoke(java.lang.Object[] arguments)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html